2008-03-24  François Pinard  <pinard@iro.umontreal.ca>

	* configure.ac: Use AM_ICONV rather than checking libiconv.
	Reported by Bruno Haible.

2008-03-16  François Pinard  <pinard@iro.umontreal.ca>

	* cleaner.h.in: Protect against multiple inclusion.

2008-03-14  François Pinard  <pinard@iro.umontreal.ca>

	* after-patch.py: New name for after-git.py.
	* after-patch.sh: New name for after-git.sh.
	* Makefile.am (EXTRA_DIST): Include them.

2008-03-13  François Pinard  <pinard@iro.umontreal.ca>

	* configure.ac: Force -liconv if libiconv is available.

2008-03-10  François Pinard  <pinard@iro.umontreal.ca>

	* tables.py: Add option -v.
	Reported by Dagobert Michelsen.

2008-03-09  François Pinard  <pinard@iro.umontreal.ca>

	* configure.ac: Version 3.7-beta2.

	* tables.py (Iconv.__init__): Call iconv -l to get information.

2008-03-08  François Pinard  <pinard@iro.umontreal.ca>

        * NEWS, README, THANKS, TODO, configure.ac, Makefile.am: Write
        Recode, not Free recode.

2008-03-07  François Pinard  <pinard@iro.umontreal.ca>

	* tables.py: Previously in doc/.  Cleanup.  Add -C option.
	* Makefile.am: Adjusted.

2008-03-06  François Pinard  <pinard@iro.umontreal.ca>

	* Makefile (get-po-files): New.

	* configure.ac (AC_OUTPUT): Add tests/setup.py.

	* libiconv: Whole subdirectory deleted.
	* Makefile.am (SUBDIRS): Adjusted.
	* configure.ac (AC_OUTPUT): Adjusted.
	* cleaner.h.in: Ajusted for libiconv to iconv renaming.
	Do not trap libicon, libiconv_open, libiconv_close, libiconvctl.

2008-02-27  François Pinard  <pinard@iro.umontreal.ca>

	To solve linker namespace pollution:
	* cleaner.h.in: New file.
	* configure.ac (AH_BOTTOM): Include it.
	(AC_OUTPUT): Handle it.
	Reported by Bruno Haible.

	* configure.ac: Version 3.7-beta1.

2008-02-23  François Pinard  <pinard@iro.umontreal.ca>

	* configure.ac, Makefile.am: Handle python/.

2008-02-22  François Pinard  <pinard@iro.umontreal.ca>

	* configure.ac: Delete AT_CONFIG.

2008-02-21  François Pinard  <pinard@iro.umontreal.ca>

	* README: Tell about contrib/README.

	* Makefile.am (EXTRA_DIST): Add m4/ChangeLog.
	Reported by Jim Meyering.

2008-02-21  gettextize  <bug-gnu-gettext@gnu.org>

	* configure.ac (AM_GNU_GETTEXT_VERSION): Bump to 0.16.

2008-02-18  François Pinard  <pinard@iro.umontreal.ca>

	* acconfig.h: Deleted.

2008-02-16  François Pinard  <pinard@iro.umontreal.ca>

	* README: Do not mention AC-PATCHES anymore.
	* TODO: Do not mention BACKLOG anymore.

	* Makefile.in, TODO, acconfig.h, configure.ac: Write Free Recode,
	not GNU Recode.

	* INSTALL, Makefile.in, config.guess, config.sub, depcomp, install-sh,
	missing, mkinstalldirs: Modified by Automake 1.10.  This should solve
	configuration problems for Linux on 64 bit systems.
	Reported by Dennis Veatch and Pavel Pokorny.

	* README: Tell about the maintainer git sandbox.
	Reformatted from Allout to reST, and reorganised.
	* Makefile.am: New goals for the Recode site maintainer.
	* after-git.py, after-git.sh: New files.

	* ABOUT-NLS: Updated from an old, but less old copy.

2005-11-06  François Pinard  <pinard@iro.umontreal.ca>

	* BACKLOG, PATCHES-AC: Deleted.
	* : Documentation details, here and there.
	* ABOUT-NLS, INSTALL, COPYING: New files, from elsewhere.
	* Makefile.am: Adjusted.

2005-11-05  François Pinard  <pinard@iro.umontreal.ca>

	* config.guess, config.sub, ltmain.sh: Updated.

	* configure.ac (ALL_LINGUAS): Deleted.
	* acconfig.h: Deleted.
	* configure.ac: Use AM_GNU_GETTEXT rather than fp_WITH_GETTEXT.
	* Makefile.am (POTFILES, all-local, stamp-pot): Deleted.

	* po: New name for i18n.

2005-10-28  François Pinard  <pinard@iro.umontreal.ca>

	* Makefile.am (EXTRA_DIST): Include stamp-pot.
	* stamp-pot: Save it.

	* configure.ac (ALL_LINGUAS): Adjusted.

2005-10-27  François Pinard  <pinard@iro.umontreal.ca>

	* configure.ac: New name for configure.in.  Adjusted for Autoconf 2.59
	instead of 2.13, and Automake 1.9.6 instead of 1.4.
	* : Automatic derivation of many files.
	* depcomp: New file, automatically added.

	* config.guess, config.sub, ltmain.sh: From libtool 1.5.18 instead of
	1.3.4.
	
	* acinclude.m4: Deleted.
	* doc: Delete old, extraneous info files.

2005-03-06  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (SUBDIRS): Add intl.
	* configure.ac (AC_CONFIG_FILES): Add intl/Makefile.
	(AM_GNU_GETTEXT_VERSION): Bump to 0.14.1.

2005-03-06  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (EXTRA_DIST): Add config.rpath.
	* configure.ac (AC_CONFIG_FILES): Add po/Makefile.in.

2005-03-06  François Pinard  <pinard@iro.umontreal.ca>

	Adapt to autoconf 2.59 and automake 1.9.1.
	* configure.ac: New name for configure.in.
	Update AC_PREREQ.
	Remove arguments on AC_INIT and AC_OUTPUT.
	Use AC_CONFIG_SRCDIR and AC_CONFIG_FILES.
	Use AC_CONFIG_HEADER instead of AM_CONFIG_HEADER, quote argument.

	Use AC_PROG_LIBTOOL instead of AM_PROG_LIBTOOL.
	Use AC_PROG_LEX instead of ad_AC_PROG_FLEX.
	Do not substitute nor handle LIBOBJS.
	Remove spurious AC_CANONICAL_HOST.
	* depcomp: New file, from elsewhere.
	* INSTALL, config.guess, config.sub, install-sh, mdate-sh, missing,
	mkinstalldirs: Newer versions, from elsewhere.
	* acconfig.h: Deleted.

	Postpone libtool support, as it creates too many problems for now.
	* configure.ac: Replace AC_PROG_LIBTOOL with AC_PROG_RANLIB.
	Do not fiddle with LTALLOCA nor LTLIBOBJS.
	* ltconfig, ltmain.sh: Deleted.

	* ChangeLog: Converted to UTF-8.

	* PATCHES-AC: Deleted, hoping Autoconf has it by now.  I did not
	check, because if it does not yet, it is a lost cause.

	* rebox.el: Deleted.  It has been moved as rebox.py into Pymacs.

2001-12-28  François Pinard  <pinard@iro.umontreal.ca>

	Get Autoconf 2.14a, Automake 1.4 and Libtool 1.3.5 working together.
	* configure.in: Use AC_PROG_CC_STDC between AC_MINIX and AC_C_CONST,
	so patched Autoconf 2.14 is happy.
	* ltconfig, ltmain.sh: From Libtool 1.3.5.
	* config.guess, config.sub: From Automake 1.4.

2001-01-03  Bruno Haible  <haible@clisp.cons.org>

	* configure.in: Version 3.6.

2001-01-03  Bruno Haible  <haible@clisp.cons.org>

	* configure.in: Test for memory.h and strndup.

2000-12-06  Bruno Haible  <haible@clisp.cons.org>

	* configure.in: Remove determination of compile-time DEFAULT_CHARSET.
	* README: Remove section about DEFAULT_CHARSET at installation time.

2000-12-05  Bruno Haible  <haible@clisp.cons.org>

	* configure.in: Call AC_CANONICAL_HOST, jm_LANGINFO_CODESET,
	jm_GLIBC21. Check for locale.h, stddef.h, stdlib.h, mbrtowc, wcrtomb,
	setlocale.

2000-08-30  Bruno Haible  <haible@clisp.cons.org>

	* Makefile.am (ACLOCAL): New definition.
	* aclocal.sh: New file.
	* Makefile.am (EXTRA_DIST): Add it.

2000-06-28  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Version 3.5e.

	* Makefile.am (POTFILES): Rename debug.c to testdump.c.

2000-06-27  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Check for struct utimbuf.
	Reported by Jim Meyering and Tom Hageman.

	* configure.in: Use ad_AC_PROG_FLEX instead of AM_PROG_LEX.
	Reported by Akim Demaille.

2000-05-07  François Pinard  <pinard@iro.umontreal.ca>

	* PATCHES-AC: New for Autoconf 2.14a.
	* Makefile.am (EXTRA_DIST): Adjusted.

2000-04-25  François Pinard  <pinard@iro.umontreal.ca>

	* acconfig.h: Remove LIBICONV_PLUG.
	Reported by Bruno Haible.

2000-03-28  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Version 3.5d.

2000-03-28  François Pinard  <pinard@iro.umontreal.ca>

	* recode.spec: New file.
	* Makefile.am (EXTRA_DIST): Adjusted.

2000-03-21  François Pinard  <pinard@iro.umontreal.ca>

	* acconfig.h: Define LIBICONV_PLUG.

2000-01-28  François Pinard  <pinard@iro.umontreal.ca>

	* Makefile.am (install-stow): New goal.

2000-01-27  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in (ALL_LINGUAS): Add gl.

1999-12-28  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Remove --with-libiconv test.
	(AC_OUTPUT): Produce libiconv/Makefile.
	* Makefile.am (SUBDIRS): Add libiconv.

1999-12-24  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Version 3.5c.

1999-12-20  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Version 3.5b.

	* configure.in: Add --with-libiconv.
	* acconfig.h: Document WITH_LIBICONV.

1999-12-19  François Pinard  <pinard@iro.umontreal.ca>

	* Makefile.am (BABYL): Adjusted.

1999-12-14  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in (LIBOBJS): Manage for ANSI2KNR.
	(LTLIBOBJS): Adjusted to fit the style of the above.
	Reported by Jim Meyering.

	* configure.in: Delete AC_PROG_AWK.

	* Makefile.am, acconfig.h, configure.in: Adapt to the gettext
	scheme used in wdiff.
	* i18n: New name for directory po.
	* intl: Deleted directory.

	* configure.in: Use AC_FUNC_ALLOCA.

	* acinclude.m4: New file, containing file libtool.m4 from the
	libtool distribution, which suggest that it should be distributed.

1999-12-12  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Replace strtol and strtoul only when missing.
	Reported by Tom Hageman.

1999-11-27  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in (ALL_LINGUAS): Add it.

1999-06-22  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in (ALL_LINGUAS): Add el.

1999-06-15  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Substitute LIBOBJS, so jm_FUNC_MALLOC and
	jm_FUNC_REALLOC has some chance to work.
	Reported by Alexandre Oliva.

1999-06-02  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Version 3.5a.

1999-05-31  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Version 3.5.

1999-04-01  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Version 3.4r.

1999-01-07  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Version 3.4q.

1999-01-05  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Version 3.4p.

1998-12-31  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Accept defining DEFAULT_CHARSET to the empty
	string, when it is set but empty at configure time.  This is the
	way to inhibit any usual charset.

1998-12-18  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Version 3.4o.

1998-12-14  Andreas Schwab  <schwab@issan.cs.uni-dortmund.de>

	* configure.in: Remove command to create po/Makefile, already done
	by AM_WITH_NLS.

1998-12-14  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Version 3.4n.

1998-11-24  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Check for inline.

1998-11-23  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Version 3.4m.

1998-11-13  François Pinard  <pinard@iro.umontreal.ca>

	* PATCHES-AM: Deleted.
	* Makefile.am (EXTRA_DIST): Adjusted.

1998-10-28  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Version 3.4l.

1998-10-20  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Make tests/atconfig instead of tests/testsuite.
	Do not make tests/test-one.  Use AT_CONFIG instead of fp_PROG_ECHO.

1998-10-13  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Version 3.4k.

	* configure.in (AC_OUTPUT): Prepare tests/test-one and
	tests/testsuite instead of tests/preset.  Make them executable.

1998-09-30  François Pinard  <pinard@iro.umontreal.ca>

	* PATCHES-AC, PATCHES-AM: New names for AC-PATCHES and AM-PATCHES.
	* PATCHES-LT: New file.
	* Makefile.am (EXTRA_DIST): Adjusted.

1998-08-24  François Pinard  <pinard@iro.umontreal.ca>

	* Makefile.am (BABYL): Adjusted after last reorganisation, here.

1998-06-22  François Pinard  <pinard@iro.umontreal.ca>

	* COPYING-LIB: New name for COPYING.LIB, around Automake with
	--gnits not allowing COPYING.LIB.
	* Makefile.am (EXTRA_DIST): Distribute it.

1998-06-21  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Remove AC_LINK_FILES, as AM_GETTEXT does it now.

1998-04-22  François Pinard  <pinard@iro.umontreal.ca>

	* AC-PATCHES: Revised patches for Autoconf 2.12.
	* AM-PATCHES: Patches for Automake 1.3.
	* Makefile.am: Distribute them.

1998-03-31  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Use jm_FUNC_MALLOC and jm_FUNC_REALLOC.
	* acconfig.h: Document malloc and realloc.

	* Makefile.am: Define ACLOCAL_AMFLAGS.
	* acinclude.m4: Deleted.
	* configure.in (AC_OUTPUT): Substitute m4/Makefile.
	* Makefile.am (SUBDIRS): Include m4.

	* configure.in: Use AM_PROG_LEX instead of AC_PROG_LEX.

1998-03-09  François Pinard  <pinard@iro.umontreal.ca>

	* AC-PATCHES: New file, from elsewhere.
	* PORTS: Deleted.  Integrated into contrib/README.
	* Makefile.am (EXTRA_DIST): Adjusted.

1998-01-08  François Pinard  <pinard@iro.umontreal.ca>

	* acinclude.m4 (fp_OS_MICROSOFT): New.
	* configure.in: Maybe select IBM-PC as the default default charset.

1997-12-25  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Do not check for the pipe function.

1997-12-05  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in (AC_OUTPUT): Create contrib/Makefile.
	* Makefile.am (SUBDIRS): Visit the contrib/ subdirectory.

1997-11-24  François Pinard  <pinard@iro.umontreal.ca>

	* Makefile.am (AUTOMAKE_OPTIONS): Replace gnits by gnu, so
	COPYING.LIB gets distributed.

1997-11-16  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Check for stdbool.h.

1997-10-05  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Add a missing AC_LINK_FILES for gettext.
	Reported by Alain Magloire, Eric Backus, Jean-Claude Nadeau, Niels
	Kr. Bech Jensen and Santiago Vila Doncel.

1997-09-28  François Pinard  <pinard@iro.umontreal.ca>

	* PORTS: New file.
	* Makefile.am (EXTRA_DIST): Adjusted.

1997-09-26  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Remove popen support.

1997-09-24  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Add AM_PROG_LIBTOOL, delete AC_PROG_RANLIB.
	Define LTALLOCA and LTLIBOBJS.

1997-07-30  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Check for unistd.h and utime.h.

1997-04-01  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in (ALL_LINGUAS): Add da.

1997-02-26  François Pinard  <pinard@iro.umontreal.ca>

	* missing: New file, from elsewhere.

1997-02-25  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Use AM_CONFIG_HEADER instead of AC_CONFIG_HEADER,
	AM_GNU_GETTEXT instead of ud_GNU_GETTEXT.  Delete README-alpha
	code, Automake handles it now.
	* acinclude.m4: Replaced whole, from elsewhere.
	* Makefile.am (EXTRA_DIST): Leave README-alpha to Automake.

	* configure.in (ALL_LINGUAS): Add pt.

1997-02-12  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Simplify AC_OUTPUT, per new Autoconf and Automake.

1996-11-08  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Switch to the letter scheme for pretests.

1996-09-20  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in (ALL_LINGUAS): Remove pt, disclaimer not received.

1996-09-03  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in (AC_OUTPUT): Prepare tests/Makefile and tests/preset.
	* Makefile.am (SUBDIRS): Add tests/.

1996-08-27  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Distribute README-alpha.
	(ALL_LINGUAS): Add `pl', `sl' and `sv'.
	* Makefile.am (EXTRA_DIST): Add acinclude.m4 for the time being.

1996-08-24  François Pinard  <pinard@iro.umontreal.ca>

	* Makefile.am: New file, replacing Makefile.in.

1996-08-23  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in: Use AM_ macros more than fp_ macros.

1996-03-06  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in (ALL_LINGUAS): Add `es'.

1996-01-07  François Pinard  <pinard@iro.umontreal.ca>

	* acconfig.h: Document HAVE_STPCPY.

1995-07-23  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in, acconfig.h: Adapt for GNU gettext 0.8.

1995-07-10  François Pinard  <pinard@iro.umontreal.ca>

	Distribution unflattened, for using GNU gettext.
	* Makefile.in: New file.
	* configure.in: Substitute all Makefile's.

1995-06-22  François Pinard  <pinard@iro.umontreal.ca>

	* configure.in (LINGUAS): Adjusted for pt.po.

* Previous history before unflattening, from version 3.0 and up:

	All kept in src/ChangeLog.

* Previous history as saved from some oldish recode.texi:

August 1988:

	Some tentative new charsets for TeX and texinfo, steps
	merged and made more uniform, usage of Unix pipes
	instead of translating chunks one at a time.

	Loïc Dachary first exposed me to Easy French.  Claude
	Goutier, through numerous discussions, was helpful in
	evaluating various work hypotheses.

July 1988:

	Ported to BSD Unix, bent to meet most GNU standards.

December 1987:

	Ported to Microsoft C, tables frozen instead of being
	computed by auxiliary programs at installation time,
	translation sequences sought at execution time instead
	of built-in in the program.

July 1985:

	Adapted in Turbo-Pascal on an IBM-PC, translation
	tables completely redesigned.  Dropping of CAF, RUB
	and INT support; ASCII now used as a common base.

* Previous history as found in `secours,/s=codes,recode' output:

March 1983:

	Version 2.0.

	Merge of features from all versions.  New extensive
	documentation, in French.  Handling of French for 95
	character CDC printers.

November 1982:

	Version 1.0.

	Modified to handle NOS (NOS 6/12 code), INT (Intercom 8/12
	code), RUB (7.5 characters per word, for tapes), support of
	EBCDIC translations.  Restructuration into a few main
	modules, one of which is CODES.  Made in preparation for
	the Cray-1 at Canadian Meteorological Center.

December 1981:

	Revision of comparison routines for French processing,
	several suggestions from Francine Ouellette.

December 1980:

	A few speedups and improvements.  My own definition of
	extended ASCII, quite compatible with various usages at
	Université de Montréal.

July 1980:

	Module GEN broken into several modules: ASC (ascii), BNG
	(bang-bang), CAF (format for CAFÉ project), DPC (usual
	display code), and TEL (TELUM packing).  Made in context
	of some research for the PPMF group and the BLOPS project.

January 1980:

	Unified module named GEN and program named GENCOP, in
	Cyber Pascal and assembler, partly inspired from NOS/BE
	Record Manager, partly from Claude Schnéegans' PESTUM
	protocol.

Before 1980:

	Several independant programs, most in Cyber COMPASS
	assembler, to handle code conversions.  A few tries to
	get some useful, unified, general approach, but with
	limited success.
